# Enum Class SmiCompiler.Strictness

java.lang.Object
java.lang.Enum<SmiCompiler.Strictness>
com.snmp4j.smi.SmiCompiler.Strictness

All Implemented Interfaces:
  `Serializable, Comparable<SmiCompiler.Strictness>, Constable`

Enclosing interface:
  `SmiCompiler`

public static enum SmiCompiler.Strictness extends Enum<SmiCompiler.Strictness>
The Strictness defines the number of syntax checks done on the sources.

Since:
  1.4
Author:
  Frank Fock

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `lenient`
  Tries to ignore most of the SMI standard violations.
  `lenientIfStandardFails`
  A mode of strictness that initially applies standard compliance checks, but falls back to a lenient mode if the strict checks fail.
  `standard`
  The recommended mode with full SMI(v1/v2) standard checks.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SmiCompiler.Strictness`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SmiCompiler.Strictness[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### standard

    public static final SmiCompiler.Strictness standard
    The recommended mode with full SMI(v1/v2) standard checks.

  - ### lenient

    public static final SmiCompiler.Strictness lenient
    Tries to ignore most of the SMI standard violations. Can cause runtime errors when accessing MIB data which should be present by standard but is not available due to a standard rule violation.

  - ### lenientIfStandardFails

    public static final SmiCompiler.Strictness lenientIfStandardFails
    A mode of strictness that initially applies standard compliance checks, but falls back to a lenient mode if the strict checks fail. This approach attempts to ensure functionality by relaxing the rules when necessary, while prioritizing compliance when possible. It is useful in scenarios where strict adherence to standards may result in failures due to nonconforming inputs or sources.
    Since:
      2.1.0

- ## Method Details

  - ### values

    public static SmiCompiler.Strictness[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SmiCompiler.Strictness valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null